Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.

Bug 87625

Summary: when serial terminal is selected, polling to test for a key is activated on default
Product: [Retired] Red Hat Linux Reporter: Arenas Belon, Carlo Marcelo <carenas>
Component: grubAssignee: Jeremy Katz <katzj>
Status: CLOSED CURRENTRELEASE QA Contact:
Severity: low Docs Contact:
Priority: low    
Version: 7.3   
Target Milestone: ---   
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2003-07-28 23:40:31 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:

Description Arenas Belon, Carlo Marcelo 2003-03-31 09:22:39 UTC
Description of problem:
when "terminal serial" is added to grub.conf even if it doesn't include another 
terminal, grub starts printing messages on the serial console, asking for a key 
in order to select the corresponding terminal.

when terminal has only one option that makes no sense, as there is only one 
possible terminal to be selected and the poll is not needed.

this problem was fixed on the CVS version for grub as shown on :

  http://savannah.gnu.org/bugs/?func=detailbug&bug_id=568&group_id=68

sadly that patch is not applied on the current CVS version and as the code was 
heavily changed it is no longer accurate

Comment 1 Jeremy Katz 2003-04-02 05:56:24 UTC
Is this better in grub 0.93 as shipped in Red Hat Linux 9 (a comparable version
that should work on 7.3 is available at
http://people.redhat.com/~katzj/grub/grub-0.93-1.as.i386.rpm)

Comment 2 Arenas Belon, Carlo Marcelo 2003-04-03 06:10:41 UTC
sorry katz, the RH7.3 server i was using to test on is no longer available, but
i just upgraded my desktop from 8.0 to 9.0 and even if the same problem was
found on the 8.0 version of grub the 9.0 version is working ok.

when only using "serial" as a terminal parameter, the polling is not done and
goes directly to the serial console.

couldn't test what is the result if there are two different terminals and none
of those is serial (console and graphics) though.